2022-01-16 11:03 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002315TheSettlers[All Projects] Generalpublic2013-02-28 18:23
ReporterRainer Kraus 
Assigned ToStingRayProject InfoThe Settlers / Die Siedler (Blue Byte)
http://www.whdload.de/games/TheSettlers.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002315: I couldn't type in a new name of savegames, it's like no keyboard accessed. And
DescriptionGameVersion: german, pal,3 disks, made from "AmigaPlus-CD Sonderheft 9"
SlaveVersion: 1.0 from 20.05.2000

I couldn't type in a new name of savegames, it's like no keyboard accessed. And on saving the screen first get blank, then flickers (savegame-screen appears and disappears), but saving is OK.
It runs all OK on direct install from CD (but then i must type in the copy-protection).
Greets
Rainer Kraus
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardPicasso IV
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.0beta
importedyes
Attached Files

-Relationships
related to 0002562closedStingRay The Settlers - save game doesn´t accept keyboard 
+Relationships

-Notes

note ~0002122

JOTD (developer)

typing something in the save window does something (loads the savegame list)
but you're right it's not possible to enter save names

note ~0002196

Retro-Nerd (reporter)

Noticed this too. Will you fix it?

note ~0002264

Mr B (reporter)

Um, related issue? Cant type in level "passwords"

note ~0002915

StingRay (developer)

Last edited: 2013-02-25 09:13

View 2 revisions

These bugs are most probably protection related, the game STILL(!) hasn't been cracked correctly in the WHDLoad patch, I checked JOTD's source, there are quite a few checksum checks missed! I'll update the patch.

note ~0002916

StingRay (developer)

Keyboard problems are interrupt related (nothing to do with missed checksums as I first thought), I'm working on a fix.

note ~0002917

StingRay (developer)

Keyboard problems are fixed, entering level codes and names for the save games works fine now. Approach to crack the game also changed, any missed checksums will not matter anymore and it will also be much easier to support any other version of the game since my approach to crack the game consists of 2 small modifications. Will add my changes in JOTD's source and create updated patch in the next days.

note ~0002926

StingRay (developer)

Fixed in v1.6 of the patch.
+Notes

-Issue History
Date Modified Username Field Change
2010-08-07 21:03 administrator New Issue
2010-08-07 21:03 administrator Status new => assigned
2010-08-07 21:03 administrator Assigned To => JOTD
2010-10-31 21:22 JOTD Status assigned => acknowledged
2010-11-08 15:18 JOTD Note Added: 0002122
2011-01-22 00:51 Retro-Nerd Note Added: 0002196
2011-04-15 02:23 Mr B Note Added: 0002264
2012-03-26 21:21 Wepl Relationship added related to 0002562
2013-02-25 09:13 StingRay Note Added: 0002915
2013-02-25 09:13 StingRay Note Edited: 0002915 View Revisions
2013-02-25 21:06 StingRay Note Added: 0002916
2013-02-25 21:06 StingRay Assigned To JOTD => StingRay
2013-02-25 21:06 StingRay Status acknowledged => assigned
2013-02-26 01:14 StingRay Note Added: 0002917
2013-02-28 18:23 StingRay Note Added: 0002926
2013-02-28 18:23 StingRay Status assigned => closed
2013-02-28 18:23 StingRay Resolution open => fixed
+Issue History